Skip to content

Retrieve metadata of all component types in your Vault.

GET/api/{version}/metadata/components
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/metadata/components
{ "responseStatus": "SUCCESS", "data": [ { "url": "/api/v26.1/metadata/components/Securityprofile", "name": "Securityprofile", "class": "metadata", "abbreviation": "SPR", "active": true, "label": "Security Profile", "label_plural": "Security Profile" }, { "url": "/api/v26.1/metadata/components/Tab", "name": "Tab", "class": "metadata", "abbreviation": "TAB", "active": true, "label": "Tab", "label_plural": "Tab", "vobject": "vof_tab__sys" } ] }

On SUCCESS, the response may include the following for each component type in the currently authenticated Vault:

NameDescription
urlURL to retrieve metadata for the component type.
nameThe component type name as used in MDL commands.
classThe class of the component type, either code for component types that include SDK source code, or metadata for component types that do not include SDK source code.
abbreviationThe abbreviated component type name.
labelThe component type label as it appears in the Vault UI.
label_pluralThe plural component type label as it appears in the Vault UI.
cacheableIndicates whether or not the component type has a cache.
cache_type_classIndicates the caching strategy used by the component type. If cacheable is set to false, Vault ignores this value.
vobjectThe associated Vault object, if applicable.